<?php
	$fkCategoriaObrigacao = (int)$_POST['categoriaObrigacao'];
	$titulo = $_POST['titulo'];
	$descricao = $_POST['descricao'];
	$data = dataInsertDataBase($_POST['data']);

	$insertQuery = $db->prepare("
		INSERT INTO obrigacoes (fkCategoriaObrigacao, titulo, descricao)
		VALUES (:fkCategoriaObrigacao, :titulo, :descricao)
	");

	$insertQuery->bindParam(':fkCategoriaObrigacao', $fkCategoriaObrigacao, PDO::PARAM_INT);
	$insertQuery->bindParam(':titulo', $titulo, PDO::PARAM_STR);
	$insertQuery->bindParam(':descricao', $descricao, PDO::PARAM_STR);
	$insertQuery->bindParam(':data', $data, PDO::PARAM_STR);

	$result = $insertQuery->execute();
?>
<table>
	<tr>
		<td>
			<?php echo ($result) ? 'Obrigação cadastrada com sucesso!' : 'Houve um erro ao cadastrar a obrigação.' ?>
			<meta http-equiv="refresh" content="2; url=miolo.php?miolo=obrigacoes&acao=cadastrar" />
		</td>
	</tr>
</table>